View Issue Details

IDProjectCategoryView StatusLast Update
0004518SymmetricDSBugpublic2020-09-23 16:34
Reporterpmarzullo Assigned Topmarzullo  
Prioritynormal 
Status closedResolutionfixed 
Product Version3.8.0 
Target Version3.11.12Fixed in Version3.11.12 
Summary0004518: Database name with special character like minus sign, fails to create trigger when in same database
DescriptionOn MySQL, the database name had a minus (-) sign in the name, which caused trigger creation to fail.

org.jumpmind.db.sql.SqlException: You have an error in your SQL syntax; check the manual that corresponds to your MySQL server version for the right syntax to use near
Steps To Reproducecreate database my-test;
Tagsdialect: mysql/mariadb

Relationships

related to 0004470 resolvedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 
related to 0004519 closedpmarzullo Database name with special character like minus sign, fails to create trigger when in same database 

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2020-09-03 11:21 pmarzullo New Issue
2020-09-03 11:21 pmarzullo Status new => assigned
2020-09-03 11:21 pmarzullo Assigned To => pmarzullo
2020-09-03 11:21 pmarzullo Tag Attached: dialect: mysql/mariadb
2020-09-03 11:21 pmarzullo Relationship added related to 0004470
2020-09-03 11:24 pmarzullo Relationship added related to 0004519
2020-09-03 11:55 pmarzullo Status assigned => resolved
2020-09-03 11:55 pmarzullo Resolution open => fixed
2020-09-03 11:55 pmarzullo Fixed in Version => 3.11.12
2020-09-04 14:24 pmarzullo Summary Database name with special character like minus sign, fails to create trigger => Database name with special character like minus sign, fails to create trigger when in same database
2020-09-23 16:34 admin Status resolved => closed